        var map;
        var loadEnd;
        var oloMarker; // OpenLayer Overview Marker
		var obslonlat = {
			HB_0001:{lat:35.18244,lon:129.2353},
			HB_0002:{lat:35.3185,lon:129.3147},
			HB_0003:{lat:35.38472,lon:129.3681},
			HB_0004:{lat:35.63472,lon:129.495},
			HB_0005:{lat:35.71778,lon:129.495},
			HB_0006:{lat:35.86583,lon:129.5472},
			KG_0021:{lat:32.19111,lon:126.9922},
			KG_0024:{lat:34.91669,lon:129.1149},
			KG_0025:{lat:34.22083,lon:128.4183},
			KG_0028:{lat:33.91028,lon:126.4925},
			KG_0101:{lat:38.005,lon:131.5447},
			KG_0102:{lat:37.72583,lon:130.5794},
			TW_0062:{lat:35.14889,lon:129.1697},
			TW_0069:{lat:35.14889,lon:129.1697},
			TW_0070:{lat:37.1367,lon:126.5408},
			TW_0072:{lat:35.98361,lon:126.5089},
			TW_0074:{lat:34.85972,lon:127.7928},
			TW_0075:{lat:33.23444,lon:126.4097},
			TW_0076:{lat:37.38944,lon:126.5331},
			TW_0077:{lat:37.52333,lon:126.5922},
			TW_0079:{lat:35.65246,lon:126.1943},
			TW_0080:{lat:34.54414,lon:125.8003},
			TW_0081:{lat:34.25872,lon:126.9603},
			TW_0082:{lat:37.00672,lon:126.2702},
			TW_0083:{lat:34.79472,lon:127.8081},
			TW_0084:{lat:34.77333,lon:128.46},
			TW_0085:{lat:35.10319,lon:128.6318},
			TW_0086:{lat:35.04378,lon:128.7618},
			TW_0088:{lat:35.05281,lon:129.0031}   
		};
        function init() {
            map = new OpenLayers.Map('map', {
			  theme: null,
			  controls: [
				  new OpenLayers.Control.Attribution(),
				  new OpenLayers.Control.Navigation({
					  dragPanOptions: {
						  enableKinetic: true
					  }
				  })
			  ],
			  sphericalMercator: true,
			  projection: new OpenLayers.Projection("EPSG:900913"),
			  units: "m",
			  numZoomLevels: 16,
			  maxResolution: 156543.0339,
			  maxExtent: new OpenLayers.Bounds(-20037508.34, -20037508.34, 20037508.34, 20037508.34),
			  restrictedExtent: new OpenLayers.Bounds(12823060.932019735,3248973.789650974, 15730006.674231393,5621521.486192066),
			  isValidZoomLevel : function(zoomLevel) {
							return ((zoomLevel != null) && (zoomLevel >= 6) && (zoomLevel < 16));
						}
			});

            

            var vWorldStreet = new OpenLayers.Layer.XYZ(
                "VWorld Street Map",
                [
					"http://xdworld.vworld.kr:8080/2d/Base/201512/${z}/${x}/${y}.png"
                ]
            );
            
			map.addLayers([vWorldStreet]);
			map.setCenter(new OpenLayers.LonLat(14243425.793355, 4302305.8698004), 7); // Zoom level
									
			var og_gd01_as = new OpenLayers.Layer.WMS(
					'og_gd01_as', 'http://www.khoa.go.kr/oceangrid/cmm/proxyRun.do?call=wms',
					{
						layers: 'geotwo_postgis:og_gd01_as', transparent: 'true' 
 						,version: '1.1.0'
					}, {
                        singleTile: true
					}
				)			
			map.addLayers([og_gd01_as]);


	}//init end




 function setMarker(map,lon,lat){
	if(map.getLayersByName("markername").length != 0){
		map.removeLayer(map.getLayersByName("markername")[0]);
	}
 
	var lon_lat = new OpenLayers.Geometry.Point(lon,lat).transform(new OpenLayers.Projection("EPSG:4326"),map.projection);
	var overlay = new OpenLayers.Layer.Vector("markername", {
			styleMap: new OpenLayers.StyleMap({
				externalGraphic: 'img/icon_DT_v01.png',
				graphicWidth: 20, graphicHeight: 24, graphicYOffset: -24,
				title: ''
			})
		});

    overlay.addFeatures([
        new OpenLayers.Feature.Vector(lon_lat, {tooltip: 'OpenLayers'})
    ]);

	map.addLayers([overlay]);

 }

	
	function keepOffsetOn(obj){
		var asd = $(obj).offset();
		$(obj).css("left",asd.left+"px");
		$(obj).css("right","auto");
	}

	function keepOffsetOff(obj){
		var width = $(obj).outerWidth()-20;
		$(obj).css("right","-"+width+"px");
		$(obj).css("left","auto");
	}
 
	
function jsonparser(data){
		$("#dataList").find("tr").remove();
		if(data.result.data == undefined){
			$("#dataList").append( "<tr><td>검새된 데이터가 없습니다.</td></tr>" );
			return false;
		}else{
			var datalist = data.result.data;
			$("#dataList").append( "<tr><th>유향</th><th>유속</th><th>관측시간</th></tr>" ); 
			for(var i=0; i< data.result.data.length; i++){
				var current_speed =datalist[i].current_speed; 
				var current_direct =datalist[i].current_direct;
				var obs_time =datalist[i].obs_time;
				 $("#dataList").append( "<tr><td>"+current_direct+"</td><td>"+current_speed+"</td><td>"+obs_time+"</td></tr>" ); 
			}
			return true;
		}
	}

	function xmlparser(data){
		if($(data).find("result") != ""){
			$("#dataList").find("tr").remove();
			var dataLength = $(data).find("result").find("data").length;
			if(dataLength <= 0){
				$("#dataList").append( "<tr><td>검새된 데이터가 없습니다.</td></tr>" ); 
				return false;
			}else{
				$("#dataList").append( "<tr><th>유향</th><th>유속</th><th>관측시간</th></tr>" ); 
				var idx = 1;
				$(data).find("result").find("data").each(function(){
					 $("#dataList").append( "<tr><td>"+$(this).find("current_direct").text()+"</td><td>"+$(this).find("current_speed").text()+"</td><td>"+$(this).find("obs_time").text()+"</td></tr>" ); 
				});
				return true;
			}
		}
	}

	
	function createMetaPopup(ObsCode,data,ResultType){
		for(idx =0; idx < map.popups.length;idx++){
			map.removePopup(map.popups[idx]);
		}

		var lon = eval("obslonlat."+ObsCode).lon;
		var lat = eval("obslonlat."+ObsCode).lat;
		var content = "";
		if(ResultType == "json"){
			content = "<table id='metaList' name='metaList' style='font-size:11'>";
			content += "<tr><th>고정 관측소 ID</th><td>"+	data.result.meta.obs_post_id+"</td></tr>"; 
			content += "<tr><th>고정 관측소 명</th><td>"+data.result.meta.obs_post_name+"</td></tr>"; 
			content += "<tr><th>고정 관측소 위도</th><td>"+data.result.meta.obs_lat+"</td></tr>"; 
			content += "<tr><th>고정 관측소 경도</th><td>"+data.result.meta.obs_lon+"</td></tr>"; 
			content += "<tr><th>금일요청가능횟수</th><td>"+data.result.meta.obs_last_req_cnt+"</td></tr>"; 
			content += "</table>"; 	
		}else if(ResultType == "xml"){
			content = "<table id='metaList' name='metaList' style='font-size:11'>";
			content += "<tr><th>고정 관측소 ID</td><th>"+	$(data).find("result").find("meta").find("obs_post_id").text()+"</td></tr>"; 
			content += "<tr><th>고정 관측소 명</td><th>"+$(data).find("result").find("meta").find("obs_post_name").text()+"</td></tr>"; 
			content += "<tr><th>고정 관측소 위도</td><th>"+$(data).find("result").find("meta").find("obs_lat").text()+"</td></tr>"; 
			content += "<tr><th>고정 관측소 경도</td><th>"+$(data).find("result").find("meta").find("obs_lon").text()+"</td></tr>"; 
			content += "<tr><th>금일요청가능횟수</td><th>"+$(data).find("result").find("meta").find("obs_last_req_cnt").text()+"</td></tr>"; 
			content += "</table>";
		}
		var popup = new OpenLayers.Popup.FramedCloud(ObsCode, 
			new OpenLayers.Geometry.Point(lon,lat).transform(new OpenLayers.Projection("EPSG:4326"),map.projection).getBounds().getCenterLonLat(), null
			,content
			,null
			,false 
		);
		map.addPopup(popup);
	}